FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List products

Returns list of banking products for a given institution

AI Actions
GET
/v1/banking/products

Returns list of banking products for a given institution

Authorization

Token_header_Authorization
AuthorizationBearer <token>

In: header

Query Parameters

institution_idstringrequired

A unique identifier specifying institution.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/banking/products?institution_id=string"
{
  "products": [
    {
      "additional_information": {
        "additional_bundle_uris": [
          {
            "additional_info_uri": "https://bank.com/additional-info",
            "description": "View more details"
          }
        ],
        "additional_eligibility_uris": [
          {
            "additional_info_uri": "https://bank.com/additional-info",
            "description": "View more details"
          }
        ],
        "additional_fees_and_pricing_uris": [
          {
            "additional_info_uri": "https://bank.com/additional-info",
            "description": "View more details"
          }
        ],
        "additional_overview_uris": [
          {
            "additional_info_uri": "https://bank.com/additional-info",
            "description": "View more details"
          }
        ],
        "additional_terms_uris": [
          {
            "additional_info_uri": "https://bank.com/additional-info",
            "description": "View more details"
          }
        ],
        "bundle_uri": "https://bank.com/bundles",
        "eligibility_uri": "https://bank.com/eligibility",
        "fees_and_pricing_uri": "https://bank.com/fees",
        "overview_uri": "https://bank.com/overview",
        "terms_uri": "https://bank.com/terms"
      },
      "application_uri": "https://bank.com/apply",
      "brand": "BankX",
      "brand_name": "BankX Gold",
      "card_art": [
        {
          "image_uri": "https://bank.com/card-art.png",
          "title": "Gold Card Image"
        }
      ],
      "description": "A premium savings account with no monthly fees",
      "effective_from": "2023-01-01T00:00:00Z",
      "effective_to": "2024-12-31T23:59:59Z",
      "is_tailored": false,
      "last_updated": "2023-07-15T10:30:00Z",
      "name": "Premium Savings Account",
      "product_category": "TRANS_AND_SAVINGS_ACCOUNTS",
      "product_id": "prod-001"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get Scheduled PaymentsGet product details